> For the complete documentation index, see [llms.txt](https://docs.ees.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ees.xyz/sdk/execute-batch.md).

# Execute batch

The ees-sdk allows you to execute a batch using the `BatchExecutor` contract.

```typescript
const transactionReceipt: TransactionReceipt = await eesSDK.executeBatch(indices, feeRecipient);
```

Here `indices` is of type `bigint[]` and specifies the indices of jobs to execute. The `feeRecipient` is of type `0x${string}` and is the address that the execution fee will be sent to for all jobs in the batch. The returned value of viem's type `TransactionReceipt` gives information about the transaction.

The transaction sent by `executeBatch` will not revert if any of the individual jobs revert during execution. This means that the execution of the other jobs will still go through.

{% hint style="warning" %}
**Warning:** This action will perform an on-chain transaction and requires that the eesSDK object was initialised with a wallet client.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ees.xyz/sdk/execute-batch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
